/*
 * Copyright (c) 2001 Network Appliance, Inc.
 * All rights reserved.
 */

#ifndef _BANNER_STRIPPER_H_
#define _BANNER_STRIPPER_H_

#include <gif_lib.h>
#include "iserver.h"
#include "gbuf.h"

#undef BANNER_STRIPPER
#undef NOGIFS

#define NUM_LEGAL_BANNER 14

typedef struct image_size{
	int len;
	int width;
} image_size_t;

/* determine dimensions of gif. If not legal return NetApp Logo */ 
extern gbuf_t*
strip_banner(const char* gif_buf, int buf_len);

#endif // _BANNER_STRIPPER_H_
